#ifndef TRANSFER_CTRL_H
#define TRANSFER_CTRL_H

/*!
  \file
  \brief タイムアウト付き送受信の処理

  \author Satofumi KAMIMURA

  $Id: transferCtrl.h 286 2008-10-20 09:40:22Z satofumi $
*/

extern void trans_setPort(int port);
extern void initTransferCtrl(int port);
extern long trans_size(void);
extern void trans_send(const unsigned char *data, int length);
extern int trans_recv(unsigned char *data, int length);
extern int trans_copy(unsigned char *data, int length);
extern void trans_flush(void);

#endif /* !TRANSFER_CTRL_H */
